Screen artifacts appear after restart and cold boot

Bug #1267742 reported by Elfy on 2014-01-10
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
LightDM GTK+ Greeter
Undecided
Simon Steinbeiß
xserver-xorg-video-nouveau (Ubuntu)
High
Unassigned

Bug Description

When I cold boot the login screen background is garbled - see screenshot attached

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-1.16-generic 3.13.0-rc7
Uname: Linux 3.13.0-1-generic x86_64
ApportVersion: 2.12.7-0ubuntu6
Architecture: amd64
CurrentDesktop: XFCE
Date: Fri Jan 10 08:21:28 2014
InstallationDate: Installed on 2013-12-25 (15 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20131225)
SourcePackage: xserver-xorg-video-nouveau
UpgradeStatus: No upgrade log present (probably fresh install)

Elfy (elfy) wrote :
Elfy (elfy) wrote :

When restarting - login screen is filled with fragments of the session running when restart commenced - screenshot included

summary: - Screen atrifacts appear after restart and cold boot
+ Screen artifacts appear after restart and cold boot
information type: Public → Public Security
Elfy (elfy) wrote :

Marking this as security related for the moment.

Restarting a PC that will then be left at a login screen should not show the previous session.

"This bug is a security vulnerability: Please check this only if your bug report describes a behaviour that could be exploited to compromise your security or safety, as well as cause issues such as identity theft or "hi-jacking". " from https://help.ubuntu.com/community/ReportingBugs

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Confirmed
Elfy (elfy) wrote :

I have installed unity-greeter - last restart did not show anything from previous sessions - will monitor for a day or so.

XprogeR (xproger-ru) on 2014-01-12
no longer affects: archlinux
XprogeR (xproger-ru) wrote :

Got the same problem at the Arch Linux with:

lightdm-devel 1.9.5-1
lightdm-gtk3-greeter-devel 1.7.0-1
xf86-video-nouveau 1.0.10-1

How can i help to collect any another usefull information?

Simon Steinbeiß (ochosi) wrote :

This issue should be fixed in trunk now (rev182), please either test it via the daily PPA or build it yourself in Arch. Thanks for testing!

Changed in lightdm-gtk-greeter:
status: New → In Progress
assignee: nobody → Simon Steinbeiß (ochosi)
Elfy (elfy) wrote :

Updated and upgraded.

Restarting - not seeing fragments of the previous session.

Cold boot - still see corruption for a short while between logging in and the desktop loading.

Elfy (elfy) on 2014-01-15
information type: Public Security → Public
Simon Steinbeiß (ochosi) wrote :

The fragments you can see after the greeter exits and the session starts is the root-pixmap, which is shown so that there's no flickering until (in Xubuntu's case) xfdesktop/xfwm4 starts.
However, in the case of nouveau, it doesn't seem to make matters any better.

The greeter bug is fixed then, thanks for confirming/testing!

Changed in lightdm-gtk-greeter:
status: In Progress → Fix Committed
milestone: none → 1.7.1
Sean Davis (bluesabre) on 2014-01-21
Changed in lightdm-gtk-greeter:
status: Fix Committed → Fix Released
Changed in xserver-xorg-video-nouveau (Ubuntu):
importance: Undecided → High
Sergio Benjamim (sergio-br2) wrote :

I got weird screen artifacts in a boot (not danger, only noise) today.

Sergio Benjamim (sergio-br2) wrote :

I got this behavior today, many pieces of the previous windows 7 boot, inside of my user account (interesting, this did not appear in the lightdm). When my desktop finished to charge, the wallpaper replaced the artifacts of windows 7.

Sergio Benjamim (sergio-br2) wrote :

Here the artifacts from the previous windows 7 session.

Using nouveau driver.

Hi,

Sorry for posting this where it's maybe not the right place but I had the greeter issue and it's now fixed after updating to the most recent PPA (https://launchpad.net/~lightdm-gtk-greeter-team/+archive/daily) and it's all working fine for the greeter screen (thank you for the fix btw).

But once passed the greeter, it's exactly the same screen corruption as before (see this picture: http://i.imgur.com/rr5pa84.jpg). It seems that whatever you did on the greeter should also be applied to the main desktop manager.

I hope this helps,
All the best,
Laurent

Simon Steinbeiß (ochosi) wrote :

In case you're not using xfdesktop to draw your desktop background then this is the same bug, the root pixmap isn't painted correctly by nouveau.
So if my assumption that you're not using xfdesktop is correct, it is xfwm4 drawing the root pixmap in your case. But it doesn't matter really, because the nouveau driver is still the culprit.

I use xmonad on top of xubuntu, could that be the issue? Also, is there a nouveau PPA who fixes this?

Simon Steinbeiß (ochosi) wrote :

Whatever window-manager you use, if you don't use a specific application like xfdesktop that paints the background in a separate window (i.e. not the root pixmap) you'll encounter this nouveau bug.

I haven't heard of a fix for this issue yet.

Mélodie (meets) wrote :
Download full text (8.0 KiB)

Hello,

I installed Ubuntu Trusty on an old tower yesterday, which has an integrated nvidia Geforce 7* so this is "nouveau" running on that machine, and after a while, when clicking on some menu the mouse suddenly freezes, and there is this strange look on the screen, looking a lot like what Elfy describes.

This happened after the distro was installed and updated. I have been able to install a few packages, but then it froze again. I could not use the SysRQ, it didn't work.

This morning on my own tower, which now runs Xenial I hit the same issue : which never happened before! But my tower has the same kind of nvidia internal GPU, an old Geforce 7, and I can't use the nvidia driver because it's now unable to display the resolution properly. So I thought the fault must be the nouveau driver (or firmware? I can't know that).
I also tried to ssh my tower using my laptop, but the frozen machine was unreachable.

I don't know why I can't attach more than one file here (using Firefox 44.0.1 but never could before). So I paste down here the 80 last lines of the most relevant syslog I could find, the one that has the timestamp from just before it froze, there is a part related to nouveau in it:

*****************
Feb 11 10:33:40 bento64 ntpd[1696]: peers refreshed
Feb 11 10:33:40 bento64 ntpd[1696]: Listening on routing socket on fd #23 for interface updates
Feb 11 10:33:40 bento64 ntp[1684]: ...done.
Feb 11 10:33:46 bento64 systemd[1]: Stopping LSB: Start NTP daemon...
Feb 11 10:33:46 bento64 ntp[1721]: * Stopping NTP server ntpd
Feb 11 10:33:46 bento64 ntpd[1696]: ntpd exiting on signal 15
Feb 11 10:33:46 bento64 ntp[1721]: ...done.
Feb 11 10:33:46 bento64 systemd[1]: Stopped LSB: Start NTP daemon.
Feb 11 10:33:56 bento64 ntpdate[1734]: adjust time server 178.33.227.201 offset -0.289198 sec
Feb 11 10:33:56 bento64 systemd[1]: Starting LSB: Start NTP daemon...
Feb 11 10:33:56 bento64 ntp[1765]: * Starting NTP server ntpd
Feb 11 10:33:56 bento64 ntpd[1776]: ntpd 4.2.6p5@1.2349-o Mon Dec 7 13:51:58 UTC 2015 (1)
Feb 11 10:33:56 bento64 ntpd[1777]: proto: precision = 0.116 usec
Feb 11 10:33:56 bento64 systemd[1]: Started LSB: Start NTP daemon.
Feb 11 10:33:56 bento64 ntpd[1777]: ntp_io: estimated max descriptors: 1024, initial socket boundary: 16
Feb 11 10:33:56 bento64 ntpd[1777]: Listen and drop on 0 v4wildcard 0.0.0.0 UDP 123
Feb 11 10:33:56 bento64 ntp[1765]: ...done.
Feb 11 10:33:56 bento64 ntpd[1777]: Listen and drop on 1 v6wildcard :: UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: Listen normally on 2 lo 127.0.0.1 UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: Listen normally on 3 eth0 192.168.1.5 UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: Listen normally on 4 virbr0 192.168.122.1 UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: Listen normally on 5 lo ::1 UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: Listen normally on 6 eth0 fe80::6e62:6dff:fef5:1334 UDP 123
Feb 11 10:33:56 bento64 ntpd[1777]: peers refreshed
Feb 11 10:33:56 bento64 ntpd[1777]: Listening on routing socket on fd #23 for interface updates
Feb 11 10:34:04 bento64 systemd[1]: Starting Stop ureadahead data collection...
Feb 11 10:34:04 bento64 systemd[1]: Stopped Read required files in advan...

Read more...

Mélodie (meets) wrote :

PS: I want to check next in Trusty if the newer kernel 3.13.0-77 is less friendly than the former one, 3.13.0-76 in this situation, with that one hardware (the town on which I installed yesterday : I'll have it back to run tests on it). So I'll report the full specs to help debug this issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers